services:
  timelapse-frontend:
    image: nginx:latest
    container_name: timelapse-frontend
    ports:
      - "80:80"
      - "443:443"
    volumes:
      - ./:/usr/share/nginx/html
      - nginx-config:/etc/nginx
    environment:
      - NGINX_VERSION=1.27.1
      - NJS_VERSION=0.8.5
      - NJS_RELEASE=1~bookworm
      - PKG_RELEASE=1~bookworm
      - DYNPKG_RELEASE=2~bookworm
    restart: always
    networks:
      - bridge

volumes:
  nginx-config:
    driver: local

networks:
  bridge:
    driver: bridge
